=head1 NAME

Gtk2::ColorSelection

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gtk2::ColorSelection



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 widget = Gtk2::ColorSelection-E<gt>B<new> 

=head2 unsigned = $colorsel-E<gt>B<get_current_alpha> 

=head2 $colorsel-E<gt>B<set_current_alpha> ($alpha)

=over

=item * $alpha (unsigned) 

=back

=head2 color = $colorsel-E<gt>B<get_current_color> 

=head2 $colorsel-E<gt>B<set_current_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 boolean = $colorsel-E<gt>B<get_has_opacity_control> 

=head2 $colorsel-E<gt>B<set_has_opacity_control> ($has_opacity)

=over

=item * $has_opacity (boolean) 

=back

=head2 boolean = $colorsel-E<gt>B<get_has_palette> 

=head2 $colorsel-E<gt>B<set_has_palette> ($has_palette)

=over

=item * $has_palette (boolean) 

=back

=head2 boolean = $colorsel-E<gt>B<is_adjusting> 

=head2 list = Gtk2::ColorSelection-E<gt>B<palette_from_string> ($string)

=over

=item * $string (string) 

=back

Returns a list of Gtk2::Gdk::color's.

=head2 (string) = Gtk::ColorSelection->B<palette_to_string> (...)

=over

=item * ... (list) of Gtk2::Gdk::Color's for the palette

=back

Encodes a palette as a string, useful for persistent storage.

=head2 unsigned = $colorsel-E<gt>B<get_previous_alpha> 

=head2 $colorsel-E<gt>B<set_previous_alpha> ($alpha)

=over

=item * $alpha (unsigned) 

=back

=head2 color = $colorsel-E<gt>B<get_previous_color> 

=head2 $colorsel-E<gt>B<set_previous_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back



=cut


=head1 PROPERTIES

=over

=item 'current-alpha' (Glib::UInt : default 65535 : readable / writable / private)

The current opacity value (0 fully transparent, 65535 fully opaque)

=item 'current-color' (Gtk2::Gdk::Color : default undef : readable / writable / private)

The current color

=item 'has-opacity-control' (boolean : default false : readable / writable / private)

Whether the color selector should allow setting opacity

=item 'has-palette' (boolean : default false : readable / writable / private)

Whether a palette should be used

=back



=cut


=head1 SIGNALS

=over

=item B<color-changed> (Gtk2::ColorSelection)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::VBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

